function OnWarpEnter()
	PlaySound("Sounds/SFX/A_Wind2.ogg",-1)
	SetMarker("Memphis\\Warp_0001.wp",0,0)
	SetMarker("Memphis\\Warp_0004.wp",0,0)
	SetMarker("Memphis\\Warp_0011.wp",0,0)
	AnimationSetToEnd("d2s1",false)
	AnimationSetToEnd("d3s1",false)
	AnimationSetToEnd("d7s1",false)
	AnimationSetToEnd("d6s1",false)
	StartAnimationPart("bas1",0, 30,-1, false)
	
	

	if  WentOf_me_3 or not GuardHipnotized_me_004 then
		StartAnimationPart("gas1",0,30,-1,true)
	else
		StartAnimationPart("gas1",130,210,-1,fasle)
	end
	
	if FinishCH6_me then
		StartAnimation("KHS1",-1)
	elseif WentOf_me_3 then

	elseif Puzzle_me_009 and  PerfumeGiven_me_009 and  O_frag_me_017 then
		StartAnimation("KHS1",-1)
	end
	
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)
	if objectName == "kes1" then

------------------------------------------------------------
	elseif objectName == "bfs1" then

------------------------------------------------------------
	elseif objectName == "d2s1" then

------------------------------------------------------------
	elseif objectName == "d3s1" then

------------------------------------------------------------
	elseif objectName == "d6s1" then

------------------------------------------------------------
	elseif objectName == "d7s1" then
	
	elseif  objectName=="3D\\Memphis\\Warp_0001.wp" or objectName=="3D\\Memphis\\Warp_0004.wp" or objectName=="3D\\Memphis\\Warp_0011.wp"  then
		ChangeWarp(objectName)
	end
end
